# vim: set ts=4 sw=4 et:

%define _name      gst-plugins-bad
%define gst_branch 0.10

Name:           gstreamer-0_10-plugins-bad
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        LGPL
Group:          System/GUI/GNOME
Version:        0.10.19
Release:        1010.103
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-bad/%{_name}-%{version}.tar.bz2
Source90:       %{name}-rpmlintrc
URL:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Enhances:       gstreamer010
Enhances:       gstreamer_0_10
Requires:       alsa
Requires:       amrwb
Requires:       faac
Requires:       faad2
Requires:       gstreamer-0_10 >= 0.10.32
Requires:       gstreamer-0_10-plugins-base >= 0.10.30
Requires:       libgstphotography-0_10-0 >= %{version}
Requires:       libgstbasevideo-0_10-0 >= %{version}
Requires:       libgstsignalprocessor-0_10-0 >= %{version}
Requires:       libgstvdp-0_10-0 >= %{version}
Requires:       %{name}-lang = %{version}
Requires:       jack
%ifnarch x86_64
BuildRequires:  ladspa-devel
Requires:       ladspa
%endif
Requires:       licenses
Requires:       mjpegtools19
BuildRequires:  alsa-devel
BuildRequires:  amrwb-devel
BuildRequires:  DirectFB-devel >= 0.9.24
BuildRequires:  faad2-devel
BuildRequires:  fftw3-devel
BuildRequires:  flac-devel
#BuildRequires:	flite-devel
BuildRequires:  gcc-c++
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  gstreamer-0_10-plugins-good
BuildRequires:  gtk2-devel
BuildRequires:  gtkdoc
BuildRequires:  libass-devel
BuildRequires:  libaudio-devel
BuildRequires:  libbz2-devel
BuildRequires:  libcdaudio-devel
#BuildRequires:	libcelt-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdca-devel
BuildRequires:  dirac-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libexif-devel
BuildRequires:  libfaac-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgmyth-devel
BuildRequires:  libgsm-devel
BuildRequires:  libjack-devel
BuildRequires:  libjasper-devel
BuildRequires:  libkate-devel
BuildRequires:  libmms-devel >= 0.2
BuildRequires:  libmpcdec-devel
BuildRequires:  mjpegtools19-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmusicbrainz-devel >= 2.1.0
BuildRequires:  libofa-devel >= 0.9.3
BuildRequires:  liboil-devel >= 0.3.2
BuildRequires:  librsvg-devel
BuildRequires:  libquicktime-devel
#BuildRequires:	libsoup-devel
BuildRequires:  libschroedinger-devel
BuildRequires:  libslv2-devel
#BuildRequires:	libswfdec-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvdpau-devel
#BuildRequires:	libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  lv2core-devel
BuildRequires:  mDNSResponder-lib
BuildRequires:  mjpegtools19-devel
BuildRequires:  neon-devel >= 0.25.5
BuildRequires:  orc
BuildRequires:  pcre-devel
BuildRequires:  pkg-config
BuildRequires:  pyxml
BuildRequires:  SDL-devel
BuildRequires:  sgml-skel
BuildRequires:  libsndfile-devel
BuildRequires:  soundtouch-devel
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
# ugly, but we need to have an explicit dependency on the orc library
# package here, as 0.4.6 provides additional features that are *required*,
# even though the SONAME remains the same:
BuildRequires:  liborc-0_4-0 >= 0.4.6
Requires:       liborc-0_4-0 >= 0.4.6

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture
means that new data types or processing capabilities can be added
ssimply by installing new plug-ins.

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Documentation/Other
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture
means that new data types or processing capabilities can be added
simply by installing new plug-ins.

%package -n libgstphotography-0_10-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries
Requires:       liborc-0_4-0 >= 0.4.6

%description -n libgstphotography-0_10-0
This package contains the shared library libgstphotography-0_10-0.

%package -n libgstphotography-0_10-devel
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          Development/Libraries/GNOME
Requires:       libgstphotography-0_10-0 = %{version}
Requires:       gstreamer-0_10-devel

%description -n libgstphotography-0_10-devel
This package contains the development files for the shared library
libgstphotography-0_10-0.

%package -n libgstbasevideo-0_10-0
Summary:        GStreamer Video Framework Library
Group:          System/Libraries
Requires:       liborc-0_4-0 >= 0.4.6

%description -n libgstbasevideo-0_10-0
This package contains the shared library libgstbasevideo.

%package -n libgstbasevideo-0_10-devel
Summary:        GStreamer Video Framework Library
Group:          Development/Libraries/GNOME
Requires:       libgstbasevideo-0_10-0 = %{version}
Requires:       gstreamer-0_10-devel

%description -n libgstbasevideo-0_10-devel
This package contains the development files for the shared library
libgstbasevideo.

%package -n libgstsignalprocessor-0_10-0
Summary:        GStreamer Signal Processor Library
Group:          System/Libraries
Provides:       libgstsignalprocessor0 = 0.10.14
Provides:       libgstsignalprocessor0 < 0.10.14
Requires:       liborc-0_4-0 >= 0.4.6

%description -n libgstsignalprocessor-0_10-0
This package contains the shared library libgstsignalprocessor.

%package -n libgstsignalprocessor-devel
Summary:        GStreamer Signal Processor Library
Group:          Development/Libraries/GNOME
Requires:       libgstsignalprocessor-0_10-0 = %{version}
Requires:       gstreamer-0_10-devel

%description -n libgstsignalprocessor-devel
This package contains the development files for the shared library
libgstsignalprocessor.

%package -n libgstvdp-0_10-0
Summary:        GStreamer VDP Library
Group:          System/Libraries
Requires:       liborc-0_4-0 >= 0.4.6

%description -n libgstvdp-0_10-0
This package contains the shared library VDP.

%package -n libgstvdp-devel
Summary:        GStreamer VDP Library
Group:          Development/Libraries/GNOME
Requires:       gstreamer-0_10-devel
Requires:       libvdpau-devel
Requires:       libgstvdp-0_10-0 = %{version}

%description -n libgstvdp-devel
This package contains the development files for the shared library
libgstvdp.

%package -n gst-camera
Summary:        Demo Application to test GStreamer Camera Support
Group:          Productivity/Multimedia/Other
Requires:       libgstbasevideo-0_10-0 = %{version}
Requires:       liborc-0_4-0 >= 0.4.6

%description -n gst-camera
Demo application to test the GStreamer camera support in
libgstbasevideo-0.10-0.

%lang_package

%prep
%setup -q -n %{_name}-%{version}
#patch1

#NOCONFIGURE=1 ./autogen.sh
#%{?suse_update_config:%{suse_update_config}}

find docs/ -name 'Makefile*' -exec %__sed -i 's/        /	/g' {} \;

%build
export SUSE_ASNEEDED=0
%__sed -i -e 's|libpng12|libpng|g' configure
%__sed -i -e 's|png_infopp_NULL|NULL|g' \
    ext/cog/gstlogoinsert.c

NOCONFIGURE=1 autoreconf -fiv
find docs/ -name 'Makefile*' -exec %__sed -i 's/        /	/g' {} \;

export LIBDC1394_CFLAGS=`pkg-config --cflags libdc1394-2`
export LIBDC1394_LIBS=`pkg-config --libs libdc1394-2`
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
#	--with-package-name='Packman gstreamer-plugins-bad package' \
#	--with-package-origin='http://packman.links2linux.de/' \
%configure \
    --enable-gtk-doc \
    --enable-dependency-tracking \
    --enable-mythtv \
    --enable-dc1394=yes
#	--enable-experimental

# add missing headers through this loophole (too many files to patch):
cat <<EOF >>config.h
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/socket.h>
EOF

%__make %{?jobs:-j %jobs} V=1 VERBOSE=1

%install
%makeinstall

%__install -m0644 gst-libs/gst/signalprocessor/gstsignalprocessor*.h \
    "%{buildroot}%{_includedir}/gstreamer-%{gst_branch}/gst/interfaces/"

%__rm %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.{a,la}
%__rm %{buildroot}%{_libdir}/*.{a,la}

%__ln_s -f %{_datadir}/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

for i in "%{buildroot}%{_datadir}/locale"/*; do
    [ -d "$i" ] || continue
    [ -e "$i/LC_MESSAGES/.mo" ] && %__mv "$i/LC_MESSAGES/.mo" "$i/LC_MESSAGES/%{_name}-%{gst_branch}.mo"
done

%find_lang %{_name}-%{gst_branch} || echo -n > "%{_name}-%{gst_branch}.lang"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -n libgstphotography-0_10-0 -p /sbin/ldconfig
%postun -n libgstphotography-0_10-0 -p /sbin/ldconfig

%post -n libgstbasevideo-0_10-0 -p /sbin/ldconfig
%postun -n libgstbasevideo-0_10-0 -p /sbin/ldconfig

%post -n libgstsignalprocessor-0_10-0 -p /sbin/ldconfig
%postun -n libgstsignalprocessor-0_10-0 -p /sbin/ldconfig

%post -n libgstvdp-0_10-0 -p /sbin/ldconfig
%postun -n libgstvdp-0_10-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaiff.so
%{_libdir}/gstreamer-%{gst_branch}/libgstamrwbenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapexsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstasfmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioparsersbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautoconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbayer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbz2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcamerabin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcog.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdc1394.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdfbvideosink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdccp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdirac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtmf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdspu.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfestival.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfreeze.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfrei0r.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgsm.so
%{_libdir}/gstreamer-%{gst_branch}/libgsth264parse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsthdvparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3tag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinvtelecine.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjp2k.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpegformat.so
%{_libdir}/gstreamer-%{gst_branch}/libgstkate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstladspa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlegacyresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstliveadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlv2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmms.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg4videoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegvideoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmusepack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmodplug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmplex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmve.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmxf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmythtvsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnassink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstneonhttpsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnsf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrawparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstofa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpcapparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpnm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqtmux.so
%ifnarch ppc ppc64
%{_libdir}/gstreamer-%{gst_branch}/libgstreal.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstrsvg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstscaletempoplugin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdl.so
%{_libdir}/gstreamer-%{gst_branch}/libgstschro.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdpelem.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsiren.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsndfile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsoundtouch.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeed.so
%{_libdir}/gstreamer-%{gst_branch}/libgststereo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttrm.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttta.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvdpau.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideosignal.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomeasure.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvmnc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so
%{_libdir}/gstreamer-%{gst_branch}/libresindvd.so
%if %suse_version < 1130
%{_libdir}/gstreamer-%{gst_branch}/libgstalsaspdif.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmetadata.so
%{_libdir}/gstreamer-%{gst_branch}/libgstselector.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvalve.so
%{_datadir}/gstreamer-%{gst_branch}/camera-apps/
%else
%{_libdir}/gstreamer-%{gst_branch}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstivfparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshm.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomaxrate.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4mdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstassrender.so
%endif
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%{_datadir}/gstreamer-%{gst_branch}/presets/*
%if %suse_version > 1130
%{_libdir}/gstreamer-%{gst_branch}/libgstgsettingselements.so
%{_datadir}/glib-2.0/schemas/org.freedesktop.gstreamer-0.10.default-elements.gschema.xml
%endif

%files -n libgstphotography-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstphotography-%{gst_branch}.so.*

%files -n libgstphotography-0_10-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%dir %{_includedir}/gstreamer-%{gst_branch}/gst
%dir %{_includedir}/gstreamer-%{gst_branch}/gst/interfaces
%{_includedir}/gstreamer-%{gst_branch}/gst/interfaces/photography*.h
%{_libdir}/libgstphotography-%{gst_branch}.so
%{_libdir}/pkgconfig/gstreamer-plugins-bad-%{gst_branch}.pc

%files -n libgstbasevideo-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstbasevideo-%{gst_branch}.so.*

%files -n libgstbasevideo-0_10-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%dir %{_includedir}/gstreamer-%{gst_branch}/gst
%dir %{_includedir}/gstreamer-%{gst_branch}/gst/video
%{_includedir}/gstreamer-%{gst_branch}/gst/video/*
%{_libdir}/libgstbasevideo-%{gst_branch}.so

%files -n libgstsignalprocessor-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstsignalprocessor-%{gst_branch}.so.*

%files -n libgstsignalprocessor-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%dir %{_includedir}/gstreamer-%{gst_branch}/gst
%dir %{_includedir}/gstreamer-%{gst_branch}/gst/interfaces
%{_includedir}/gstreamer-%{gst_branch}/gst/interfaces/gstsignalprocessor.h
%dir %{_includedir}/gstreamer-%{gst_branch}/gst/signalprocessor
%{_includedir}/gstreamer-%{gst_branch}/gst/signalprocessor/gstsignalprocessor.h
%{_libdir}/libgstsignalprocessor-%{gst_branch}.so

%files -n gst-camera
%defattr(-, root, root)
#%{_bindir}/gst-camera
#%{_bindir}/gst-camera-perf
%dir %{_datadir}/gstreamer-%{gst_branch}

%files -n libgstvdp-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstvdp-%{gst_branch}.so.*

%files -n libgstvdp-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{gst_branch}
%dir %{_includedir}/gstreamer-%{gst_branch}/gst
%dir %{_includedir}/gstreamer-%{gst_branch}/gst/vdpau
%{_includedir}/gstreamer-%{gst_branch}/gst/vdpau/*.h
%{_libdir}/libgstvdp-%{gst_branch}.so

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/%{_name}-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%changelog
* Mon Feb 21 2011 pascal.bleser@opensuse.org
- fix build
- add libgstrtmp.so
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- explicitly require liborc0_4-0 >= 0.4.6 as it provides new, required features;
  thanks to DimStar for reporting this
* Tue Aug  3 2010 toni@links2linux.de
- update to 0.10.19 "The World Kicked Back"
  * audioparsers: add bitrate calculation
  * camerabin: add API to query supported image capture resolution
  * camerabin: add block-after-capture property for viewfinder blocking
  * camerabin: add video-capture-width/height/framerate properties
  * camerabin: add video-source-filter and viewfinder-filter properties
  * capssetter: element was moved to gst-plugins-good
  * cogcolorspace: implement color-matrix handling and chroma-site
  * dc1394: add iso-speed property
  * dshowvideosrc: add support for YUY2 input format
  * festival: don't open an infinite number of connections to the server and close connections
  * h264parse: fix writing NALU prefix for byte-stream output format
  * h264parse: fix wrong timestamps in some cases after seeking
  * imagefreeze: plugin was moved to gst-plugins-good
  * invtelecine: add invtelecine element
  * jackaudiosrc: implement multichannel support
  * jpegformat: add xmp reading and writing support
  * ladspa, lv2: don't fail in plugin_init when having 0 elements (which would cause the plugin to get blacklisted)
  * mmssrc: Check URI for validity and work around URI parsing bugs in libmms
  * mmssrc: Use the escaped location for the RTSP redirect message
  * mpegtsdemux: add support for Blu-Ray style DTS and the two DTS HD stream types
  * mpegtsparse: parse TDT table in mpegts
  * mpegvideoparse: export profile and level in caps; estimate bitrate; update caps when sequence header changes
  * oss4: plugin was moved to gst-plugins-good
  * qtmux: add support for the VP8 video codec and XMP tags
  * segmentclip: add audio/video buffer segment clip elements
  * vcdsrc: support the DVD URI scheme so a device can be specified via the URI
  * vp8: add libvpx-based VP8 encoder/decoder (NB: encoder properties/API not fully stable yet; also, this plugin may not be compatible with GPLv2-only applications)
* Mon Mar  8 2010 toni@links2linux.de
- update to 0.10.18 "Diminishing Returns"
  * aacparse: lots of fixes, now based on common baseparser class and merged into audioparser plugin
  * ac3parse: new AC3 parser element based on common baseparser class and part of new audioparser plugin
  * adpcmenc: new adpcm encoder element
  * aiffmux: new aiff muxer element
  * amrparse: use (default) time handling of baseparser class, merged into audioparser plugin
  * apexsink: change volume property to a double to make work with playbin2
  * asfmux: handle streams with different start times
  * asfmux: improve compatibility with WMSP in WMP
  * asfmux, rfbsrc, vmnc, mpegdemux, resindvd: fix alignment and endianness issues
  * assrender: countless fixes and improvements
  * audioparsers: rename baseparse GType name to avoid possible conflicts
  * audioparsers: fix seek handling, newsegment sending, push mode data draining
  * celt: make compile against earlier CELT versions
  * configure: call $PKG_CONFIG instead of pkg-config to fix cross compilation
  * dataurisrc: new source element for data:// URIs
  * faac: lots of fixes (channel layout, output caps, bps estimation etc.)
  * flacparse: fix multiple channel frame parsing; merged into new audioparser plugin
  * fpsdisplaysink: expose video sink using a property
  * h264parse: Correctly rewrite all nal prefixes
  * h264parse: fix caps parameters setting, framerate calculation
  * h264parse: fix regression in output buffer timestamping
  * h264parse: optionally output AUs rather than NALUs or transform from bytestream to sample format and vice versa
  * h264parse: parse SPS some more (e.g. for width/height)
  * ivorbisdec: moved to -base (to reuse same codebase as vorbisdec)
  * jpegformat: new jifmux element
  * jpegparse: new jpeg parser element (not autoplugged for now)
  * mmssrc: post error message in addition to redirect when connect fails
  * mpegtsdemux: Handle eac3 in PMT
  * mpegtsmux: add pat-interval and pmt-interval properties
  * mpegtsmux: Do not crash on misinterpreted h264
  * mpegtsmux: Fix mistake on previous commit
  * mpegtsmux: fix PAT/PMT insertion frequency, add PAT/PMT in streamheader
  * mpegtsmux: mark delta-unit on outgoing buffers
  * qtmux: add moov recovery feature (to finalise recording after crash or so)
  * qtmux: improves compatibility with some hardware players
  * qtmux: add support for ALAC, SVQ3, IMA ADPCM; improve j2k handling
  * qtmux: misc. tag writing fixes: write all udta children atoms; crash less
  * shapewipe: moved to -bad
  * vdpau: lots of fixes and refactoring
* Tue Nov 17 2009 toni@links2linux.de
- removed all tage for openSUSE <= 1030
- update to 0.10.17 "Anny bobany"
  * Fix DVD playback
  * New elements: DTMF tone source and detector
  * ASS subtitle support improvements
  * Fix compilation on OS/X Snow Leopard
  * Support DVB 3.3 API
  * Inputselector fixes
* Fri Nov  6 2009 pascal.bleser@opensuse.org
- add libgstvdpau.so
* Sat Oct 24 2009 toni@links2linux.de
- update to 0.10.16 "Sensible Precaution"
  * Fix various bugs in the 0.10.15 release
  * Fix a deadlock in starting DVD
  * Fix compilation problems
  * Allow libneon versions >= 29.x
* Fri Oct  2 2009 pascal.bleser@opensuse.org
- update to 0.10.14:
  * moved rtpmanager to gstreamer010-plugins-good
  * moved dirac elements from schroedinger to gstreamer010-plugins-bad
  * amrwb: Remove AMR-WB parser and decoder and rename encoder plugin from amrwb to amrwbenc (the removed elements will re-appear in the next -ugly release; no migration strategy provided in this case because of the special status of the amrwb plugin)
  * asfmux, rtpasfpay: add ASF muxer and windows media payloader
  * basevideo: add experimental video base class library/API
  * camerabin: lots of fixes and improvements
  * capssetter: new element for debugging purposes
  * directdraw: Implement GstNavigation interface
  * directshow: refactor and improve dshowsrcwrapper, dshowideosrc, dshowaudiosrc
  * frei0r: wrapper for frei0r video filter plugins
  * gme: add libgme plugin which supersedes the existing OpenSPC spc plugin
  * implement SEEKING query in more demuxers and decoders (notably mpeg-ps/mpeg-ts, mxf, musepack, rawparse)
  * kate: add kate subtitle encoder, decoder and overlay
  * mimic: lots of fixes for mimenc and mimdec; add "paused mode"
  * mpegpsdemux: added caps for AAC and fixed playback of a clip with LPCM
  * mpegtsdemux: added VC1, EAC3 and LPCM related to blueray/hdmv
  * qtmux: handle pixel-aspect-ratio; misc. other fixes and improvements
  * shapewipe: support ARGB/RGBA for video input/output; fix for still images
  * vdpau: add experimental vdpau plugin
* Mon Jun 22 2009 toni@links2linux.de
- update to 0.10.13
  * New shapewipe video transition plugin
  * qtmux improvements
  * camerabin improvements
  * HDV MPEG-TS private streams support
  * Output interlacing information in mpegvideoparse
  * MS-ADPCM decoder
  * RTP fixes and enhancements
  * DTS decoder improvements
  * New ID3 tagging plugin that supports v1, v2.3 and v2.4
  * Support for PGS (BluRay) subtitles
  * Many other bug fixes and enhancements
* Sun May 24 2009 toni@links2linux.de
- update to 0.10.12
  * Presets support in several elements
  * Support ITV HD MPEG-TS streams
  * New element: flvmux
  * New element: osxvideosrc
  * Fixes in RTP elements
  * camerabin fixes
  * Improved QT/mp4 muxing
  * xdgmime based content type guessing
  * deinterlace2 moved to the Good plugins (replacing deinterlace)
  * Support for MXF muxing, and improved MXF demuxing
  * Greatly improved DVD playback
  * DirectDraw element moved back from Good plugins
  * Many other bug fixes and improvements
* Sat Mar 21 2009 toni@links2linux.de
- update to 0.10.11
  - Add ASS/SSA subtitle handling element assrender
  - Leak fixes in the QuickTime decoder wrapper
  - Better DirectShow output on Windows
  - Extend QT muxing support to include AMR and H.263
  - mms seeking support
  - Extended MXF file format handling
  - camerabin and photography API for digital camera interfacing
  - Merge elements from Farsight: liveadder, sirendec, sirenenc, valve,
    rtpdtmfsrc, rtpdtmdepay, dtmfsrc, rtpdtmfmux, autoconvert, mimdec, mimenc
  - typefinder based on xdgmime
* Wed Jan 21 2009 toni@links2linux.de
- update to 0.10.10
- dropped gstreamer-0_10-devel sub-package (is now in gstreamer-0_10-plugins-base-devel)
- dropped libgstapp-0_10-0 sub-package (the lib has moved to libgstinterfaces-0_10-0)
  - ACM mp3 decoder element for win32
  - New MXF demuxer added
  - JPEG-2000 encoder - jp2enc added
  - RTP support
  - Fixes for RTP support
  - Add parsers for AAC and AMR
  - Move libgstapp and elements to -base
  - Add Quicktime muxer element qtmux
  - Enhance RFB capture
  - Improve MPEG-TS and MPEG-PS demuxing
  - Don't install static libs for plugins
  - Introduce audioringbuffer element
  - Improve DVD playback of ResinDVD components
  - Move old audioresample from -base as legacyaudioresample
  - Improve speexresampler, and then move it to -base
  - Improve FLV demuxing and parsing
  - Various DVB input fixes
  - Add support for frequency list descriptors for DVB
  - Improve MPEG-TS muxer
  - Various other bug-fixes
* Mon Nov 24 2008 toni@links2linux.de
- disabled ladspa-plugin for x86_64
- added patch from factory for x264
- reenabled libgstmpeg2enc.so for openSuSE >= 11.x
* Fri Sep 12 2008 toni@links2linux.de
- update to 0.10.8
- removed libgstreplaigain.so and libgstinterleave.so (now in plugins-good)
- disabled temporarly libdirac.so, libmodplug.so, libgstmpeg2enc.so,
  libgstmplex.so, libgstsoundtouch.so for openSuSE-10.3 (compile error)
* Mon Apr 28 2008 toni@links2linux.de
- update to 0.10.7
- removed libgstsouphttpsrc.so (now in plugins-bad)
- new elements: libgstdc1394 libgstdirac libgstmplex libgstnassink
    libgstneonhttpsrc libgstoss4audio libgstsubenc
* Fri Apr 25 2008 toni@links2linux.de
- changed package layout similar to openSuSE-11.0
* Sat Feb 23 2008 toni@links2linux.de
- update to 0.10.6
- New elements: flvdemux, flvparse, mpegtsparse, dvbsrc, dvdspu,
-               mpeg4videoparse, metadatademux/mux, speexresample,
-               rawaudioparse, fbdevsink
- Renamed elements/plugins: switch (now selector), pitch (now soundtouch)
- Elements graduated to ugly: xingmux (now part of mpegaudioparse)
* Sat Dec 29 2007 toni@links2linux.de
- rebuild with new libx264(-devel)
- new plugin - mythtvsrc
* Wed Nov  7 2007 toni@links2linux.de
- rebuild with libdca-0.0.5
- exclude libgstreal.so for ppc (thx Manfred)
* Sat Oct  6 2007 toni@links2linux.de
- rebuild with bumped release-number to avoid conflicts with openSUSE-10.3
* Fri Sep  7 2007 toni@links2linux.de
- openSUSE-10.3 build:
- _prefix=/usr
- corrected BuildRequires
- build without divx4linux, ladspa
- switched to wavpack from openSUSE-10.3
* Tue Sep  4 2007 toni@links2linux.de
- rebuild with new amrwb
- added /sbin/ldconfig
* Sat Jul  7 2007 toni@links2linux.de
- rebuild with new amrwb ==> libgstamrwb.so
* Tue Jun 19 2007 toni@links2linux.de
- update to 0.10.5
- New plugin - realdec for decoding Real streams using binary libs
- New plugin - appsrc (for application data insertion)
- New plugin - VMnc VMware capture decoder
- New plugin - JACK audio output
- New plugin - interleave/deinterleave
- New plugin - RTP manager
- New plugin - Bayer to RGB converter
- New plugin - ReplayGain support
- New plugin - videosignal/videoanalyse
- qtdemux, wavpack and videocrop plugins moved to gstreamer010-plugins-good
- new subpackage gstreamer010-plugins-bad-devel
* Sun Apr 29 2007 toni@links2linux.de
- removed swfdec-plugin (swfdec-0.4.x is not API compatible) for SuSE-10.2
* Thu Dec 28 2006 toni@links2linux.de
- enabled neon for SuSE-10.2
* Thu Dec 21 2006 toni@links2linux.de
- update to 0.10.4
- added ladspa
* Wed Dec 13 2006 toni@links2linux.de
- rebuild with WavPack-4.40
* Fri Dec  8 2006 toni@links2linux.de
- rebuild with new gstreamer010
- update to 0.10.3.1
* Wed Nov 29 2006 toni@links2linux.de
- removed neo dependency
* Tue Nov 28 2006 toni@links2linux.de
- added patch for faad2, thx to Carl Eugen Hoyos <cehoyos@ag.or.at>
- added libmms plugin
- addes swfdec plugin
* Fri Nov 24 2006 toni@links2linux.de
- build for packman
- Updated to version 0.10.3
- spec-file based on SuSE-spec Tue Jun 27 2006 - sbrabec@suse.cz
